Package org.apache.cxf.transport

# Interface Observable

All Known Subinterfaces:
  `Conduit`, `Destination`, `MultiplexDestination`

All Known Implementing Classes:
  `AbstractConduit`, `AbstractDestination`, `AbstractDestination.AbstractBackChannelConduit`, `AbstractMultiplexDestination`, `AbstractObservable`

public interface Observable
Allows Observers to register for notification on incoming messages.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MessageObserver`
  `getMessageObserver()`
  Retrieves the message observer for incoming messages
  `void`
  `setMessageObserver(MessageObserver observer)`
  Register a message observer for incoming messages.

- ## Method Details

  - ### setMessageObserver

    void setMessageObserver(MessageObserver observer)
    Register a message observer for incoming messages.
    Parameters:
      `observer` - the observer to notify on receipt of incoming

  - ### getMessageObserver

    MessageObserver getMessageObserver()
    Retrieves the message observer for incoming messages
    Returns:
      the MessageObserver for incoming messages